%define major             0
%define libname           %mklibname %{name} %{major}
%define libname_devel     %mklibname %{name} -d
%define libnameui         %mklibname qmmpui %{major}
%define libnameui_devel   %mklibname qmmpui -d

%define tainted 0

%if "%distro_section" == "tainted"
%global tainted 1
%endif

Name:           qmmp
Version:        0.5.4
Release:        %mkrel 1
Summary:        Qt-based Multimedia Player
License:        GPLv2+
Group:          Sound
URL:            http://qmmp.ylsoftware.com/index_en.php
Source0:        http://qmmp.ylsoftware.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  mad-devel
BuildRequires:  oggvorbis-devel
BuildRequires:  libalsa-devel
BuildRequires:  taglib-devel
BuildRequires:  libcurl-devel
BuildRequires:  libflac-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  jackit-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libwavpack-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  udisks-devel
BuildRequires:  wildmidi-devel >= 0.2.3.4
BuildRequires:  libgme-devel
BuildRequires:  libprojectm-devel
BuildRequires:  libcdio-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libcddb-devel
BuildRequires:  libmms-devel
BuildRequires:  libbs2b-devel
%if %{tainted}
BuildRequires:  libfaad2-devel
%endif
BuildRequires:  enca-devel
BuildRequires:  cmake

Requires:       unzip
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libnameui} = %{version}-%{release}
Requires:       wildmidi

%description
This program is an audio-player, written with help of Qt library. The user
interface is similar to winamp or xmms.

Main opportunities:
* winamp and xmms skins support;
* plugins support;
* MPEG1 layer 1/2/3 support;
* Ogg Vorbis support;
* native FLAC support;
* Musepack support;
* WavePack support;
* ModPlug support;
* WMA support;
* PCM WAVE support;
* AlSA sound output;
* JACK sound output;
* OSS sound output;
* PulseAudio output;
* Last.fm scrobbler;
* D-Bus support;
* Spectrum Analyzer;
* sample rate conversion;
%if %{tainted}
* AAC support;
%endif
* streaming support (MP3, Vorbis via IceCast/ShoutCast).

%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%package -n %{libname}
Group:          System/Libraries
Summary:        Library for %{name}

%description -n	%{libname}
Qmmp is an audio-player, written with help of Qt library.
This package contains the library needed by %{name}


%package -n %{libnameui}
Group:          System/Libraries
Summary:        Library for %{name}

%description -n	%{libnameui}
Qmmp is an audio-player, written with help of Qt library.
This package contains the library needed by %{name}


%package -n %{libname_devel}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Qmmp is an audio-player, written with help of Qt library.
This package contains the files needed for developing applications
which use %{name}


%package -n %{libnameui_devel}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libnameui} = %{version}-%{release}
Provides:       lib%{name}ui-devel = %{version}-%{release}
Provides:       %{name}ui-devel = %{version}-%{release}

%description -n	%{libnameui_devel}
Qmmp is an audio-player, written with help of Qt library.
This package contains the files needed for developing applications
which use %{name}


%package jack
Summary:        Qmmp Jack Output Plugin
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description jack
This is the Jack Output Plugin for Qmmp


%package oss
Summary:        Qmmp OSS Output Plugin
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description oss
This is the Jack OSS Plugin for Qmmp


%package musepack
Summary:        Qmmp MusePack Output Plugin
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description musepack
This is the Musepack Input Plugin for Qmmp

%package ffmpeg
Summary:        Qmmp FFMPEG Input Plugin
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description ffmpeg
This is the FFMPEG Input Plugin for Qmmp


%package wavpack
Summary:        Qmmp WavPack Input Plugin
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description wavpack
This is the WavPack Input Plugin for Qmmp


%package modplug
Summary:        Qmmp Modplug Input Plugin
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description modplug
This is the Modplug Input Plugin for Qmmp


%package plugins
Summary:        Qmmp Plugins
Group:          Sound
Requires:       %{name} = %{version}-%{release}

%description plugins
Qmmp is an audio-player, written with help of Qt library.
This contains basic plugin distribution.


%prep
%setup -q

%build
%cmake_qt4 -DUSE_HAL:BOOL=OFF
%make

%install
%makeinstall_std -C build

%files
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/libqmmp.so.%{major}*

%files -n %{libnameui}
%{_libdir}/libqmmpui.so.%{major}*

%files -n %{libname_devel}
%{_includedir}/%{name}/*
%{_libdir}/libqmmp.so

%files -n %{libnameui_devel}
%{_includedir}/qmmpui/*
%{_libdir}/libqmmpui.so

%files jack
%{_libdir}/%{name}/Output/libjack.so

%files oss
%{_libdir}/%{name}/Output/liboss.so

%files musepack
%{_libdir}/%{name}/Input/libmpc.so

%files ffmpeg
%{_libdir}/%{name}/Input/libffmpeg.so

%files wavpack
%{_libdir}/%{name}/Input/libwavpack.so

%files modplug
%{_libdir}/%{name}/Input/libmodplug.so

%files plugins
%if %{tainted}
%{_libdir}/%{name}/Input/libaac.so
%endif
%{_libdir}/%{name}/Input/libflac.so
%{_libdir}/%{name}/Input/libmad.so
%{_libdir}/%{name}/Input/libsndfile.so
%{_libdir}/%{name}/Input/libvorbis.so
%{_libdir}/%{name}/Input/libcdaudio.so
%{_libdir}/%{name}/Input/libcue.so
%{_libdir}/%{name}/Input/libgme.so
%{_libdir}/%{name}/Input/libwildmidi.so
%{_libdir}/%{name}/Output/libalsa.so
%{_libdir}/%{name}/Output/libpulseaudio.so
%{_libdir}/%{name}/Output/libnull.so
%{_libdir}/%{name}/General/libnotifier.so
%{_libdir}/%{name}/General/libscrobbler.so
%{_libdir}/%{name}/General/libstatusicon.so
%{_libdir}/%{name}/General/libfileops.so
%{_libdir}/%{name}/General/libhotkey.so
%{_libdir}/%{name}/General/liblyrics.so
%{_libdir}/%{name}/General/libmpris.so
%{_libdir}/%{name}/General/libcovermanager.so
%{_libdir}/%{name}/General/libkdenotify.so
%{_libdir}/%{name}/General/libudisks.so
%{_libdir}/%{name}/Engines/libmplayer.so
%{_libdir}/%{name}/CommandLineOptions/libincdecvolumeoption.so
%{_libdir}/%{name}/CommandLineOptions/libseekoption.so
%{_libdir}/%{name}/CommandLineOptions/libstatusoption.so
%{_libdir}/%{name}/Effect/libsrconverter.so
%{_libdir}/%{name}/Effect/libbs2b.so
%{_libdir}/%{name}/Effect/libladspa.so
%{_libdir}/%{name}/Effect/libcrossfade.so
%{_libdir}/%{name}/Effect/libstereo.so
%{_libdir}/%{name}/FileDialogs/libqmmpfiledialog.so
%{_libdir}/%{name}/PlaylistFormats/libm3uplaylistformat.so
%{_libdir}/%{name}/PlaylistFormats/libplsplaylistformat.so
%{_libdir}/%{name}/PlaylistFormats/libxspfplaylistformat.so
%{_libdir}/%{name}/Transports/libhttp.so
%{_libdir}/%{name}/Transports/libmms.so
%{_libdir}/%{name}/Visual/libanalyzer.so
%{_libdir}/%{name}/Visual/libprojectm.so


%changelog

* Wed Mar 07 2012 kamil <kamil> 0.5.4-1.mga2
+ Revision: 220923
- new version 0.5.4

* Mon Feb 06 2012 kamil <kamil> 0.5.3-2.mga2.tainted
+ Revision: 205478
- bump release to be updateable from Mga 1

* Mon Feb 06 2012 kamil <kamil> 0.5.3-1.mga2.tainted
+ Revision: 205122
- new version 0.5.3

* Fri Feb 03 2012 kamil <kamil> 0.5.1-3.mga2.tainted
+ Revision: 204241
- enable ACC support only in tainted
- add AAC support
- adapt .spec for Mageia
- imported package qmmp

